// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {

    ext {
        // Sdk and tools
        compileSdkVersion = 28
        minSdkVersion = 16
        targetSdkVersion = 28

        // App dependencies
        buildToolsVersion = "28.0.3"
        supportLibVersion = "28.0.0"
        junitVersion = '4.12'
        gradleVersion = '3.2.0'
    }

    repositories {
    	// For the Gradle plugin and its deps
        maven { url "https://maven.google.com" }
        jcenter()
        google()
    }

    dependencies {
        // https://jcenter.bintray.com/com/android/tools/build/gradle
        classpath "com.android.tools.build:gradle:$gradleVersion"
    }
}

allprojects {
    repositories {
        jcenter()
        // For the support libraries
        maven { url "https://maven.google.com" }
        google()
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}
